Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#1 Re : -1 »  Compression et minify pour CSS et JS » Le 17/06/2015, à 15:14

HP
Réponses : 4
desc "Minify CSS"
task :minify_css do
  puts "## Minifying CSS"
  compressor = YUI::CssCompressor.new
  Dir.glob("#{public_dir}/**/*.css").each do |name|
    puts "Minifying #{name}"
    input = File.read(name)
    output = File.open("#{name}", "w")
    output << compressor.compress(input)
    output.close
  end
end

desc "Minify JS"
task :minify_js do
  puts "## Minifying JS"
  compressor = YUI::JavaScriptCompressor.new
  Dir.glob("#{public_dir}/**/*.js").each do |name|
    puts "Minifying #{name}"
    input = File.read(name)
    output = File.open("#{name}", "w")
    output << compressor.compress(input)
    output.close
  end
end

Puis par exemple :

rake minify_css minify_js

Plus de détails : http://andreimihu.com/blog/2013/11/16/o … ss-and-js/

Quand on "travaille" sérieusement, on fait des choses qui ressemblent à çà… et pas du clicodrome propriétaire, non portable et non automatisable.

#3 Re : -1 »  Logiciels peu connus ou nouveaux et pourtant intéressants » Le 27/03/2015, à 13:41

HP
Réponses : 629
Max311 a écrit :

Un lieux ou on pourrais faire voter les propositions de façon a orienter le travail des développeurs smile

Çà, des gens qui ont des "idées", ça ne manque pas trop… big_smile

#8 Re : -1 »  qu'est ce que /usr/local/include ??? [RESOLU] » Le 01/03/2015, à 11:50

HP
Réponses : 5

Je suis moyennement d'accord, sur l'aspect "sale"…

#9 Re : -1 »  Bonne pratique : où mettre le DocumentRoot ? » Le 09/03/2015, à 12:08

HP
Réponses : 21

En mode de développement, c'est une très mauvaise idée d'utiliser apache… php fonctionne parfaitement en mode serveur (en dev).

#10 Re : -1 »  Bonne pratique : où mettre le DocumentRoot ? » Le 09/03/2015, à 16:56

HP
Réponses : 21
Rufus T. Firefly a écrit :
HP a écrit :

En mode de développement, c'est une très mauvaise idée d'utiliser apache… php fonctionne parfaitement en mode serveur (en dev).

S'il n'y a que du php, oui.
Mais s'il s'agit de faire un site, il y a généralement aussi autre chose...

Quel est cet autre chose ?
Et pourquoi ne pourrait-il pas être servi par un serveur PHP ?
Sais tu utiliser PHP (Ruby, Python, autre) en tant que serveur ?
Sais tu que Apache n'est pas le seul serveur web existant ?

#12 Re : -1 »  Bonne pratique : où mettre le DocumentRoot ? » Le 09/03/2015, à 21:20

HP
Réponses : 21
axel584 a écrit :

Quels sont les contraintes de l'utilisation du serveur interne php ?

Pas de contrainte particulière… après faut s'en servir pour se faire une idée wink

axel584 a écrit :

Est ce que ça permet de tout faire fonctionner (Symfony, JQuery etc.) ?

Oui.

axel584 a écrit :

Est ce qu'il y a des différences quand on doit passer en prod ?

Oui. Mais c'est assez léger… cf. 1 (s'en servir pour se faire une idée).

#13 Re : -1 »  .gitignore » Le 13/02/2015, à 18:10

HP
Réponses : 3

Et ceci ?

dossieraignorer/*
*/dossieraignorer/*

ou simplement (si il ne doit pas être à la racine) :

*/dossieraignorer/*

#15 Re : -1 »  [Info/Tuto] Orange et le fliquage / Changer ses paramètres DNS » Le 21/11/2014, à 09:46

HP
Réponses : 20
# vim /etc/resolvconf/resolv.conf.d/head
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
#     DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN

nameserver 127.0.0.1
# OpenNIC Project
nameserver 87.98.242.252
nameserver 179.43.143.69

Rien besoin de changer de plus… vous pouvez laisser dnsmasq… vous n'aurez que peu de chance d'utiliser les DNS (si ce n'est aucune) de votre FAI. Vite fait, bien fait.

#16 Re : -1 »  [Info/Tuto] Orange et le fliquage / Changer ses paramètres DNS » Le 26/11/2014, à 15:21

HP
Réponses : 20

C'est la mention qui se retrouvera dans le fichier /etc/resolv.conf wink

#17 Re : -1 »  [Info/Tuto] Orange et le fliquage / Changer ses paramètres DNS » Le 10/12/2014, à 11:24

HP
Réponses : 20

Bon, sinon, sur mon serveur domestique, mes autres (3) machines utilisent pdnsd (compilé), j'ai installé unbound… parce que bind, oui mais non.

Pour la config ça donne :

# /etc/unbound/unbound.conf.d/vendor.conf
server:
      logfile: "/var/log/unbound.log" 
      use-syslog: no
      verbosity: 2
      log-time-ascii: yes

      # The number of threads to create to serve clients.
      # 1 thread / CPU core
      num-threads: 2

      pidfile: "/var/run/unbound.pid"

      # Uses root servers
      # ftp://FTP.INTERNIC.NET/domain/named.cache
      root-hints: "/etc/unbound/named.cache"

C'est un vieux dual-core, donc 2 threads. J'utilise les serveurs root. Il ne vaut mieux pas utiliser le service fourni par Ubuntu, donc :

# sudo update-rc.d -f unbound remove

À moins de vouloir que unbound ne fasse que proxy DNS, utilisant les DNS du FAI (c'est le comportement du service avec Ubuntu).

Créer un fichier de log :

# sudo -touch /var/log/unbound.log
# sudo chown unbound:unbound /var/log/unbound.log

Et créer une conf pour logrotate :

# sudo vim /etc/logrotate.d/unbound
/var/log/unbound.log
{
        daily
        rotate 7
        dateext
        missingok
        notifempty
        compress
        create unbound unbound
        su root syslog
        postrotate
            /usr/bin/killall -HUP unbound || true
        endscript
}

À noter qu'une verbosité de 2 fourni suffisamment d'informations pour vérifier quels sont les serveurs utilisés.

#18 Re : -1 »  [Résolu]sort sur tableau PHP » Le 28/11/2014, à 09:17

HP
Réponses : 3
Tomzz a écrit :

Voilà comment perdre 2h sur une cone...

Les joies de PHP wink.

#19 Re : -1 »  [Résolu]sort sur tableau PHP » Le 29/11/2014, à 09:58

HP
Réponses : 3

Accessoirement, là, je bossais à la conception d'une classe permettant de faire des trucs genre :

$fruits = Dict::make(['Orange20', 'orange3', 'Orange2', 'orange1']);
$fruits->sort(SORT_NATURAL|SORT_FLAG_CASE);

ou encore (avec une Closure):

$fruits->sort(function($a, $b) {
        list($a, $b) = [strtolower($a), strtolower($b)];
        return ($a == $b)
            ? 0
            : ($a < $b) ? -1 : 1;
    });

Le deuxième exemple peut évidemment être remplacé par un :

$fruits->sort(SORT_STRING|SORT_FLAG_CASE);

Ces exemples sont issus des tests unitaires… donc assez peu pertinents wink.

Cependant, on peut aussi chaîner et, donc, arriver facilement à des trucs tels que :

$dict->sort(SORT_NATURAL|SORT_FLAG_CASE)->last();
$dict->sort(SORT_NATURAL|SORT_FLAG_CASE)->values()->get(3);
'Orange20'

#20 -1 »  [Script/sh] Connexion wifi facile, no-gui (wicd) » Le 17/11/2014, à 11:51

HP
Réponses : 0

J'ai un PC servant de media center, qui doit utiliser le WiFi (malheureusement), aucune interface graphique n'est installée, si ce n'est xbmc. C'est pourquoi j'ai écrit, de façon plus ou moins élégante (le shell n'est pas forcément mon langage de prédilection) quelques scripts. À l'instar de ce script pour se connecter, aussi facilement que possible, à un réseau WIFI sans interface grapique :

#!/usr/bin/env sh
#
# /usr/local/bin/wicd-wifi-connect

export PYTHONIOENCODING=UTF-8
main() {
    SSID=$1
    tries=10
    test -z "$SSID" && {
        echo 'Missing argument SSID' 1>&2
        exit 22
    }

    for i in $(seq 1 ${tries}); do
        printf '# Attempt %s/%s...\n' "$i" "$tries"
        connect "$SSID" && exit 0 || {
            tts=$(expr 1 \* $i)
            printf '+ Waiting %ss...' "$tts"
            sleep "$tts"
            printf "\n"
        }
    done
    exit 1
}

connect() {
    SSID=$1
    num=$(wicd-cli --wireless -l | egrep "[0-9]+\s+$SSID$" | awk '{print $1}' | head -1)
    test -n "$num" || {
        printf 'Network "%s" not found.\n' "$SSID" 1>&2
        return 1
    }
    wicd-cli --wireless -n "$num" -c
}

main $@

L'utilisation est assez simple :

wicd-wifi-connect SSID

Si le réseau n'est pas disponible, le script réessaiera 10 fois, pour arriver à un temps total d'exécution proche de 60s ; puisque le temps d'attente entre chaque tentative est de tentative*1s. Les dépendances sont très réduites, puisque à part wicd-cli le reste n'est que du standard (awk, egrep, ...).

Évidemment, pour que cette connexion automatique puisse fonctionner, le réseau doit avoir été configuré, par exemple : en utilisant wicd-curses. Le script peut parfaitement être exécuté par /etc/rc.local, pour une connexion automatique en fin de séquence de boot.

#21 Re : -1 »  Anarchy, dès le 30 novembre sur France 4 » Le 01/11/2014, à 14:37

HP
Réponses : 7
abecidofugy a écrit :

Pour l'instant, au premier épisode, je classe ça dans la rubrique navet / belle daube.

+1

#22 Re : -1 »  Projet informatique et social - recherche collaborateurs. » Le 19/10/2014, à 12:20

HP
Réponses : 28
SODⒶ a écrit :

Vu à l'instant sur BFM TV : 142 000 SDF en France et 30% seulement des personnes y ayant droit touchent le RSA.

Ça ne m'étonne qu'assez peu, encore que je trouve le pourcentage relativement élevé. Parce qu'il faudra m’expliquer comment un SDF peut fournir la quantité de justificatifs papier nécessaire à l'obtention d'une prestation sociale. Je trouve que ce n'est pas forcément chose aisée pour un individu « normal ».

#23 Re : -1 »  Apple : pourquoi un macbook chauffe pas ? » Le 15/10/2014, à 11:08

HP
Réponses : 11

J'ai un ThinkPad R60, et pour regarder des films, en 720p… il chauffe pas… tongue

#24 Re : -1 »  Apple : pourquoi un macbook chauffe pas ? » Le 15/10/2014, à 21:02

HP
Réponses : 11

Trololo… le haut de gamme chez Apple ; c'est comme le bon vin Américain… suffit, simplement, de gonfler le prix, et le ressenti du client vient avec wink.